Loading...
Searching...
No Matches
rheolef::space_constant

## Classes

struct | valued_tag_traits
struct | valued_tag_traits< point_basic< T > >
struct | valued_tag_traits< tensor_basic< T > >
struct | valued_tag_traits< tensor3_basic< T > >
struct | valued_tag_traits< tensor4_basic< T > >
struct | valued_tag_traits< undeterminated_basic< T > >
struct | valued_type_traits
struct | valued_type_traits< scalar, T >
struct | valued_type_traits< vector, T >
struct | valued_type_traits< tensor, T >
struct | valued_type_traits< tensor3, T >
struct | valued_type_traits< tensor4, T >
struct | valued_type_traits< last_valued, T >
struct | rank_down
struct | rank_down< point_basic< T > >
struct | rank_down< tensor_basic< T > >
struct | rank_down< tensor3_basic< T > >
struct | rank_down< tensor4_basic< T > >
struct | rank_up
struct | rank_up< point_basic< T > >
struct | rank_up< tensor_basic< T > >
struct | rank_up< tensor3_basic< T > >
struct | rank_up< undeterminated_basic< T > >

## Typedefs

typedef size_t | size_type

## Enumerations

enum | coordinate_type { cartesian = 0 , axisymmetric_rz = 1 , axisymmetric_zr = 2 , last_coord_sys = 3 }
enum | valued_type { scalar = 0 , vector = 1 , tensor = 2 , unsymmetric_tensor = 3 , tensor3 = 4 , tensor4 = 5 , mixed = 6 , last_valued = 7 }

## Functions

const std::string & | valued_name (valued_type valued_tag)
valued_type | valued_tag (const std::string &name)
std::string | coordinate_system_name (coordinate_type i)
coordinate_type | coordinate_system (std::string sys_coord)
void | check_coord_sys_and_dimension (coordinate_type i, size_type d)
size_type | n_component (valued_type valued_tag, size_type d, coordinate_type sys_coord)
size_type | n_component (const std::string &valued, size_type d, coordinate_type sys_coord)
size_type | tensor_index (valued_type valued_tag, coordinate_type sys_coord, size_type i, size_type j)
size_type | tensor_index (std::string valued, std::string sys_coord, size_type i, size_type j)
std::pair< size_type, size_type > | tensor_subscript (valued_type valued_tag, coordinate_type sys_coord, size_type i_comp)
std::string | tensor_subscript_name (valued_type valued_tag, coordinate_type sys_coord, size_type i_comp)
std::pair< size_type, size_type > | tensor_subscript (std::string valued, std::string sys_coord, size_type i_comp)
std::string | tensor_subscript_name (std::string valued, std::string sys_coord, size_type i_comp)
size_type | tensor4_index (valued_type valued, coordinate_type sys_coord, size_type i, size_type j, size_type k, size_type l)
size_type | tensor4_index (std::string valued, std::string sys_coord, size_type i, size_type j, size_type k, size_type l)
std::pair< std::pair< size_type, size_type >, std::pair< size_type, size_type > > | tensor4_subscript (valued_type valued, coordinate_type sys_coord, size_type i_comp)
std::string | tensor4_subscript_name (valued_type valued, coordinate_type sys_coord, size_type i_comp)
std::pair< std::pair< size_type, size_type >, std::pair< size_type, size_type > > | tensor4_subscript (std::string valued, std::string sys_coord, size_type i_comp)
std::string | tensor4_subscript_name (std::string valued, std::string sys_coord, size_type i_comp)
valued_type | multiplies_result_tag (space_constant::valued_type tag1, space_constant::valued_type tag2)
valued_type | divides_result_tag (space_constant::valued_type tag1, space_constant::valued_type tag2)
template<class T>
T | contract_product (const T &a, const T &b)
template<class T>
T | contract_product (const point_basic< T > &a, const point_basic< T > &b)
template<class T>
T | contract_product (const tensor_basic< T > &a, const tensor_basic< T > &b)

## Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 117 of file space_constant.h.

## Enumeration Type Documentation

## coordinate_type

enum coordinate_type

Enumerator
cartesian |
axisymmetric_rz |
axisymmetric_zr |
last_coord_sys |

Definition at line 119 of file space_constant.h.

## valued_type

enum valued_type

Enumerator
scalar |
vector |
tensor |
unsymmetric_tensor |
tensor3 |
tensor4 |
mixed |
last_valued |

Definition at line 133 of file space_constant.h.

## Function Documentation

## valued_name()

const std::string & valued_name | ( | valued_type | valued_tag | ) |

Definition at line 43 of file space_constant.cc.

## valued_tag()

valued_type valued_tag | ( | const std::string & | name | ) |

Definition at line 50 of file space_constant.cc.

## coordinate_system_name()

std::string coordinate_system_name | ( | coordinate_type | i | ) |

Definition at line 69 of file space_constant.cc.

## coordinate_system()

coordinate_type coordinate_system | ( | std::string | sys_coord | ) |

Definition at line 75 of file space_constant.cc.

## check_coord_sys_and_dimension()

void check_coord_sys_and_dimension | ( | coordinate_type | i,
|  | size_type | d )

Definition at line 83 of file space_constant.cc.

## n_component() [1/2]

size_type n_component | ( | valued_type | valued_tag,
|  | size_type | d,
|  | coordinate_type | sys_coord )

Definition at line 136 of file space_constant.cc.

## n_component() [2/2]

size_type n_component | ( | const std::string & | valued,
|  | size_type | d,
|  | coordinate_type | sys_coord )

Definition at line 173 of file space_constant.cc.

## tensor_index() [1/2]

size_type tensor_index | ( | valued_type | valued_tag,
|  | coordinate_type | sys_coord,
|  | size_type | i,
|  | size_type | j )

Definition at line 181 of file space_constant.cc.

## tensor_index() [2/2]

size_type tensor_index | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i,
|  | size_type | j )

Definition at line 200 of file space_constant.cc.

## tensor_subscript() [1/2]

std::pair< size_type, size_type > tensor_subscript | ( | valued_type | valued_tag,
|  | coordinate_type | sys_coord,
|  | size_type | i_comp )

Definition at line 209 of file space_constant.cc.

## tensor_subscript_name() [1/2]

std::string tensor_subscript_name | ( | valued_type | valued_tag,
|  | coordinate_type | sys_coord,
|  | size_type | i_comp )

Definition at line 227 of file space_constant.cc.

## tensor_subscript() [2/2]

std::pair< size_type, size_type > tensor_subscript | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i_comp )

Definition at line 245 of file space_constant.cc.

## tensor_subscript_name() [2/2]

std::string tensor_subscript_name | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i_comp )

Definition at line 254 of file space_constant.cc.

## tensor4_index() [1/2]

size_type tensor4_index | ( | valued_type | valued,
|  | coordinate_type | sys_coord,
|  | size_type | i,
|  | size_type | j,
|  | size_type | k,
|  | size_type | l )

Definition at line 333 of file space_constant.cc.

## tensor4_index() [2/2]

size_type tensor4_index | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i,
|  | size_type | j,
|  | size_type | k,
|  | size_type | l )

Definition at line 346 of file space_constant.cc.

## tensor4_subscript() [1/2]

std::pair< std::pair< size_type, size_type >, std::pair< size_type, size_type > > tensor4_subscript | ( | valued_type | valued,
|  | coordinate_type | sys_coord,
|  | size_type | i_comp )

Definition at line 357 of file space_constant.cc.

## tensor4_subscript_name() [1/2]

std::string tensor4_subscript_name | ( | valued_type | valued,
|  | coordinate_type | sys_coord,
|  | size_type | i_comp )

Definition at line 369 of file space_constant.cc.

## tensor4_subscript() [2/2]

std::pair< std::pair< size_type, size_type >, std::pair< size_type, size_type > > tensor4_subscript | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i_comp )

Definition at line 381 of file space_constant.cc.

## tensor4_subscript_name() [2/2]

std::string tensor4_subscript_name | ( | std::string | valued,
|  | std::string | sys_coord,
|  | size_type | i_comp )

Definition at line 390 of file space_constant.cc.

## multiplies_result_tag()

valued_type multiplies_result_tag | ( | space_constant::valued_type | tag1,
|  | space_constant::valued_type | tag2 )

Definition at line 410 of file space_constant.cc.

## divides_result_tag()

valued_type divides_result_tag | ( | space_constant::valued_type | tag1,
|  | space_constant::valued_type | tag2 )

Definition at line 421 of file space_constant.cc.

## contract_product() [1/3]

template<class T>

T contract_product | ( | const T & | a,
|  | const T & | b )

Definition at line 191 of file space_constant.h.

## contract_product() [2/3]

template<class T>

T contract_product | ( | const point_basic< T > & | a,
|  | const point_basic< T > & | b )

Definition at line 193 of file space_constant.h.

## contract_product() [3/3]

template<class T>

T contract_product | ( | const tensor_basic< T > & | a,
|  | const tensor_basic< T > & | b )

Definition at line 195 of file space_constant.h.